#pragma once

#include "LinearGrid.h"
#include "Texture.h"


class LogGrid 
{
public:
	LogGrid(LinearGrid* _linear, const Texture* _texture);
	~LogGrid(void);

	void Draw();

private:
	LinearGrid* linear;
	const Texture* texture;

	ComplexGrid		logGrid;
	ComplexVector	logVector;

	GridIteratorConst gridIterator;
	VectorIteratorConst vectorIterator;
};
