#pragma once

#include "LinearGrid.h"
#include "Texture.h"

typedef enum CUT {LEFT, RIGHT} CUT;

class RootGrid 
{
public:
	RootGrid(LinearGrid* _linear, const Texture* _texture);
	~RootGrid(void);

	void Create(float a);

	void Draw();
	//void DrawTriangles(CItr _cItr, TItr _tItr);
	//void DrawTriangles(CItr _cItr, TItr _tItr, CUT side);

private:
	//int Faculty(const unsigned int _n);
	LinearGrid* linear;
	const Texture* texture;

private:
	ComplexGrid rootGrid;
	ComplexVector rootVector;

	GridIteratorConst gridIterator;
	VectorIteratorConst vectorIterator;

	const int gridNumber;
	static int counter;

	double openingAngle;
	double moveUp;
};
