#pragma once

#define GLUT_DISABLE_ATEXIT_HACK
#include "png.h"
#include "zlib.h"
#include <cstdlib>
#include <gl/glut.h>
#include <cstdio>
#include <string>
#include <vector>

using namespace std;

#define GL_CLAMP_TO_EDGE 0x812F
const unsigned int HEADER = 8;


class Texture
{
public:
	Texture();
	~Texture(void);

	void GenerateTexture(int fileNumber);

public:
	GLuint GetTextureID () const;

private:
	bool LoadPNG (const char* filename);

private:
	GLuint textureId;
	char* pngImage;

	unsigned long textureWidth;
	unsigned long textureHeight;

	std::vector<string> fileNames;
};
